
#execute prep functions
schedule function skyblock_ultimate_system:prep_functions 5s append


#kill tnt
execute as @a at @s if entity @e[type=tnt,distance=0..0.6,limit=1] run function skyblock_ultimate_system:kill_tnt

#detect player in another dimension
execute if score ¤level main_system matches ..3311 as @a[nbt=!{Dimension:"minecraft:overworld"}] in minecraft:overworld run tellraw @s {"text":"You are not allowed to enter this dimension!","color":"dark_red"}
execute if score ¤level main_system matches ..3311 as @a[nbt=!{Dimension:"minecraft:overworld"}] in minecraft:overworld run tp @s 0 100 0

#run lock area function
execute if score ¤level main_system matches ..3300 as @e[type=!#entity_types1:ignore_pos] at @s run function skyblock_ultimate_system:lock_area


#add score to timer
scoreboard players add ¤time_played main_system 1



#tp mob with game tag to mid
execute positioned 0 100 0 unless entity @e[tag=game,distance=0..0.1] run tp @e[tag=game] 0 100 0

#random score
execute if entity @a[nbt={OnGround:1b}] run scoreboard players add ¤random0-100 random 1
execute if score ¤random0-100 random matches 101.. run scoreboard players set ¤random0-100 random 0

#level 0..11 summon
execute if score ¤level main_system matches 0..11 positioned 0 100 0 unless entity @e[type=minecraft:zombie,tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 11 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=zombie,nbt={HurtTime:10s}] run particle minecraft:item egg 0.40 100.00 0.58 0.2 0.3 0.2 0.3 100 force @a
execute if score ¤level main_system matches 11 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=zombie,nbt={HurtTime:10s}] run effect give @a[distance=0..4] minecraft:wither 1 1 true
execute if score ¤level main_system matches 11 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=zombie,nbt={HurtTime:10s}] run playsound minecraft:entity.egg.throw ambient @a ~ ~ ~ 10 2


#level 12..206
execute if score ¤level main_system matches 12..206 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 106..206 run particle minecraft:falling_water 0 104 0 1 1 1 0 2 force @a

#level 207..217 summon
execute if score ¤level main_system matches 207..216 positioned 0 100 0 unless entity @e[type=minecraft:spider,tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 217 positioned 0 100 0 unless entity @e[type=minecraft:cave_spider,tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 217 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=cave_spider,nbt={HurtTime:10s}] at @a[limit=1,distance=0..4,sort=nearest] run fill ~ ~ ~ ~ ~ ~ cobweb replace air
execute if score ¤level main_system matches 217 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=cave_spider,nbt={HurtTime:10s}] at @a[limit=1,distance=0..4,sort=nearest] run playsound minecraft:entity.evoker.prepare_summon ambient @a ~ ~ ~ 1 2
execute if score ¤level main_system matches 217 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=cave_spider,nbt={HurtTime:10s}] at @a[limit=1,distance=0..4,sort=nearest] run particle minecraft:block cobweb ~ ~ ~ 0.3 0.4 0.3 0 60 force @a
execute if score ¤level main_system matches 217 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=cave_spider,nbt={HurtTime:10s}] run particle minecraft:end_rod ~ ~ ~ 0 0 0 0.1 30 force @a
execute if score ¤level main_system matches 217 positioned 0 100 0 if entity @e[distance=0..2,tag=game,type=cave_spider] as @a[limit=1,distance=0..4,sort=nearest,nbt=!{ActiveEffects:[{Id:19b}]}] at @s if block ~ ~ ~ minecraft:cobweb run effect give @s minecraft:wither 2 40 true 

#level 218..460
execute if score ¤level main_system matches 218..460 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append

#level 461..471 summon
execute if score ¤level main_system matches 461..470 positioned 0 100 0 unless entity @e[type=minecraft:skeleton,tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 471 positioned 0 100 0 unless entity @e[type=minecraft:stray,tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[0.0,0.0,-1.0],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[0.0,0.0,1.0],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[-1.0,0.0,0.0],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[1.0,0.0,0.0],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[-0.5,0.0,0.5],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[0.5,0.0,-0.5],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[-0.5,0.0,-0.5],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:arrow ~ ~1 ~ {Tags:[boss_arrow],Fire:200s,Motion:[0.5,0.0,0.5],SoundEvent:"block.bell.use"}
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:item.bottle.fill_dragonbreath ambient @a ~ ~ ~ 3 2
execute if score ¤level main_system matches 471 positioned 0 100 0 if entity @e[type=stray,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:dolphin ~ ~1 ~ 0.4 0.5 0.4 0.3 200 force @a
execute if score ¤level main_system matches 471 positioned 0 100 0 at @e[type=arrow,tag=boos_arrow,distance=0..10,nbt={inGround:0b}] run particle minecraft:dolphin ~ ~ ~ 0 0 0 0 1 force @a

#level 472..700
execute if score ¤level main_system matches 472..590 run particle minecraft:falling_dust snow 0 102.5 0 1 1 1 0 2 force @a
execute if score ¤level main_system matches 472..700 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append

#level 701..711
execute if score ¤level main_system matches 701..711 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 701..710 positioned 0 100 0 if entity @e[tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.slime.hurt ambient @a ~ ~ ~ 3 0
execute if score ¤level main_system matches 711 positioned 0 100 0 at @e[tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:item magma_block ~ ~1 ~ 0.2 0.2 0.2 0.3 70 force @a
execute if score ¤level main_system matches 711 positioned 0 100 0 at @e[tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:block.end_portal_frame.fill ambient @a ~ ~ ~ 3 1
execute if score ¤level main_system matches 711 positioned 0 100 0 at @e[tag=game,distance=0..2,nbt={HurtTime:10s}] run summon magma_cube ~ ~ ~ {Silent:0b,PersistenceRequired:1b,Size:1,Tags:["custom_mob"],CustomName:'{"text":"Magma Cube [Legendary]","color":"gold"}',Motion:[-0.2,0.7,0.2]}
execute if score ¤level main_system matches 711 positioned 0 100 0 at @e[tag=game,distance=0..2,nbt={HurtTime:10s}] run summon magma_cube ~ ~ ~ {Silent:0b,PersistenceRequired:1b,Size:1,Tags:["custom_mob"],CustomName:'{"text":"Magma Cube [Legendary]","color":"gold"}',Motion:[0.1,0.7,0.3]}
execute if score ¤level main_system matches 711 positioned 0 100 0 at @e[tag=game,distance=0..2,nbt={HurtTime:10s}] run summon magma_cube ~ ~ ~ {Silent:0b,PersistenceRequired:1b,Size:1,Tags:["custom_mob"],CustomName:'{"text":"Magma Cube [Legendary]","color":"gold"}',Motion:[0.3,0.7,-0.1]}

#level 712..950
execute if score ¤level main_system matches 712..950 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 831..950 run particle minecraft:falling_nectar 0 102.5 0 1 1 1 0 2 force @a

#level 951..961
execute if score ¤level main_system matches 951..961 positioned 0 100 0 unless entity @e[type=minecraft:creeper,tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 961 positioned 0 100 0 if entity @e[type=creeper,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.evoker.prepare_wololo ambient @a ~ ~ ~ 4 2
execute if score ¤level main_system matches 961 positioned 0 100 0 if entity @e[type=creeper,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:item tnt ~ ~2 ~ 0 0 0 0.1 50 force @a
execute if score ¤level main_system matches 961 positioned 0 100 0 if entity @e[type=creeper,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:tnt ~ ~ ~ {Fuse:100s,Motion:[-0.2,0.7,0.2]}
execute if score ¤level main_system matches 961 positioned 0 100 0 if entity @e[type=creeper,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:tnt ~ ~ ~ {Fuse:100s,Motion:[0.1,0.7,0.3]}
execute if score ¤level main_system matches 961 positioned 0 100 0 if entity @e[type=creeper,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon minecraft:tnt ~ ~ ~ {Fuse:100s,Motion:[0.3,0.7,-0.1]}

#level 962..1230
execute if score ¤level main_system matches 962..1230 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 962..1100 run particle minecraft:block grass 0 102 0 0.7 1 0.7 0 2 force @a

#level 1231..1241
execute if score ¤level main_system matches 1231..1241 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 1231..1240 positioned 0 100 0 if entity @e[type=guardian,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.elder_guardian.death_land ambient @a ~ ~ ~ 4 1
execute if score ¤level main_system matches 1241 positioned 0 100 0 if entity @e[type=elder_guardian,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.elder_guardian.curse ambient @a ~ ~ ~ 4 2
execute if score ¤level main_system matches 1241 positioned 0 100 0 if entity @e[type=elder_guardian,tag=game,distance=0..2,nbt={HurtTime:10s}] run tp @a[distance=0..15] 0 103 0 ~ 90
execute if score ¤level main_system matches 1241 positioned 0 100 0 if entity @e[type=elder_guardian,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:elder_guardian ~ ~ ~ 0 0 0 0 1 force @a[distance=0..15]
execute if score ¤level main_system matches 1241 positioned 0 100 0 if entity @e[type=elder_guardian,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:nautilus ~ ~1 ~ 0.3 0.3 0.3 5 300 force @a

#level 1242..1550
execute if score ¤level main_system matches 1242..1550 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 1371..1550 run particle minecraft:fishing 0 101.5 0 0.7 1 0.7 0 3 force @a

#level 1551..1561
execute if score ¤level main_system matches 1551..1561 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 1561 positioned 0 100 0 if entity @e[type=ravager,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:item.firecharge.use ambient @a ~ ~ ~ 4 1
#execute if score ¤level main_system matches 1561 positioned 0 100 0 if entity @e[type=ravager,tag=game,distance=0..2,nbt={HurtTime:10s}] run setblock ~ ~ ~ minecraft:lava
execute if score ¤level main_system matches 1561 positioned 0 100 0 if entity @e[type=ravager,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:flame ~ ~1 ~ 0.3 0.3 0.3 0.2 100 force @a
execute if score ¤level main_system matches 1561 positioned 0 100 0 if entity @e[type=ravager,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:lava ~ ~1 ~ 2.5 0.1 2.5 0 100 force @a

#level 1562..1800
execute if score ¤level main_system matches 1562..1800 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 1731..1800 run particle minecraft:dust 1 0.6 0 2 0 100.5 0 0.7 1 0.7 0.2 1 force @a

#level 1801..1811
execute if score ¤level main_system matches 1801..1811 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 1811 positioned 0 100 0 as @e[type=evoker,tag=game,distance=0..2,nbt={}] run data merge entity @s {SpellTicks:0}
execute if score ¤level main_system matches 1811 positioned 0 100 0 as @a[distance=0..6] at @s unless block ~ ~-0.1 ~ minecraft:air run summon evoker_fangs ~ ~ ~ {Glowing:0b,CustomNameVisible:0b,Warmup:1,Motion:[0.0,0.2,0.0],Tags:["game_fangs"]}
execute if score ¤level main_system matches 1811 positioned 0 100 0 if entity @e[type=evoker,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:witch ~ ~ ~ 0.4 0.1 0.4 0 50 force @a
execute if score ¤level main_system matches 1811 positioned 0 100 0 if entity @e[type=evoker,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.evoker.prepare_wololo ambient @a ~ ~ ~ 5 2
execute if score ¤level main_system matches 1811 positioned 0 100 0 if entity @e[type=evoker,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon potion ~ ~0.2 ~ {Glowing:1b,CustomNameVisible:0b,Motion:[0.0,-1.0,0.0],Tags:["game_potion"],Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:7413434,CustomPotionEffects:[{Id:2b,Amplifier:10b,Duration:200},{Id:4b,Amplifier:10b,Duration:200},{Id:9b,Amplifier:10b,Duration:200},{Id:15b,Amplifier:10b,Duration:200},{Id:17b,Amplifier:10b,Duration:200},{Id:18b,Amplifier:1b,Duration:200},{Id:25b,Amplifier:0b,Duration:60},{Id:27b,Amplifier:10b,Duration:10},{Id:28b,Amplifier:4b,Duration:200}]}}}
execute if score ¤level main_system matches 1811 positioned 0 102 0 run effect give @e[type=vex,distance=0..3,sort=random,limit=1] wither 99999 3 false

#level 1812..2200
execute if score ¤level main_system matches 1812..2200 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 2001..2200 run particle minecraft:entity_effect 0 100.5 0 0.5 1 0.5 0.1 3 force @a

#level 2201..2211
execute if score ¤level main_system matches 2201..2211 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 2211 positioned 0 100 0 if entity @e[type=wither,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon fireball ~ ~1.5 ~ {Tags:["game_wither_skull"],ExplosionPower:0b}
execute if score ¤level main_system matches 2211 positioned 0 100 0 if entity @e[type=wither,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:large_smoke ~ ~1.5 ~ 0.5 0.5 0.5 0.14 150 force @a
execute if score ¤level main_system matches 2211 positioned 0 100 0 if entity @e[type=wither,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.wither.break_block ambient @a ~ ~ ~ 4 0
execute if score ¤level main_system matches 2211 as @e[type=minecraft:fireball,tag=game_wither_skull] at @s run tp @s ^ ^ ^0.2 facing entity @a[limit=1,sort=nearest]
execute if score ¤level main_system matches 2211 as @e[type=minecraft:fireball,tag=game_wither_skull] at @s if entity @a[distance=0..0.7,limit=1,gamemode=!spectator] run summon minecraft:tnt ~ ~ ~
execute if score ¤level main_system matches 2211 as @e[type=minecraft:fireball,tag=game_wither_skull] at @s if entity @a[distance=0..0.7,limit=1] run kill @s
execute if score ¤level main_system matches 2211 as @e[type=minecraft:fireball,tag=game_wither_skull] at @s run particle minecraft:campfire_cosy_smoke ~ ~0.3 ~ 0.1 0.1 0.1 0 1 force @a

#level 2212..2650
execute if score ¤level main_system matches 2212..2650 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 2212..2400 run particle minecraft:ash 0 102.5 0 0.7 1 0.7 0 10 force @a

#level 2651..2661
execute if score ¤level main_system matches 2651..2661 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 2661 positioned 0 102 0 if entity @e[type=ghast,tag=game,distance=0..2,nbt={HurtTime:10s}] run summon blaze ~ ~ ~ {Motion:[0.0,1.0,0.0],PersistenceRequired:1b,BoundX:0,BoundY:102,BoundZ:0,LifeTicks:1200,CustomName:'{"text":"Vex","color":"#A3E3FF"}',Attributes:[{Name:generic.attack_damage,Base:40},{Name:generic.attack_knockback,Base:3}]}
execute if score ¤level main_system matches 2661 positioned 0 102 0 if entity @e[type=ghast,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:block.conduit.deactivate ambient @a ~ ~ ~ 5 2
execute if score ¤level main_system matches 2661 positioned 0 102 0 if entity @e[type=ghast,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:soul_fire_flame ~ ~ ~ 0.3 0.3 0.3 0.2 70 force @a

#level 2662..3300
execute if score ¤level main_system matches 2662..3300 positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 2901..3300 run particle minecraft:nautilus 0 102 0 0.7 1 0.7 0.7 2 force @a
execute if score ¤level main_system matches 2901..3311 run effect give @a[scores={skyblock_jump=1..}] minecraft:slow_falling 2 1 true
execute if score ¤level main_system matches 2901..3311 run effect give @a[scores={skyblock_jump=1..}] minecraft:levitation 1 0 true
execute if score ¤level main_system matches 2901..3311 run scoreboard players set @a skyblock_jump 0

#level 3301..3311
execute if score ¤level main_system matches 3301..3311 positioned 0 100 0 unless entity @e[tag=game,distance=0..2] run schedule function skyblock_ultimate_system:next_stage 1t append

execute if score ¤level main_system matches 3311 positioned 0 102 0 if entity @e[type=ender_dragon,tag=game,distance=0..2,nbt={HurtTime:10s}] run effect give @a[nbt={OnGround:1b}] levitation 2 1 true
execute if score ¤level main_system matches 3311 positioned 0 102 0 if entity @e[type=ender_dragon,tag=game,distance=0..2,nbt={HurtTime:10s}] unless entity @e[type=enderman,tag=skyblock_man,limit=1] run summon enderman ~ ~ ~ {PersistenceRequired:1b,Health:200f,Motion:[0.0,0.1,0.0],Tags:["skyblock_man"],Passengers:[{id:"minecraft:end_crystal",Invulnerable:1b,ShowBottom:0b,Tags:["skyblock_beam"]}],CustomName:'{"text":"Dragon Healer","color":"dark_aqua","italic":true,"underlined":true}',Attributes:[{Name:generic.movement_speed,Base:0.4},{Name:generic.attack_damage,Base:50}],carriedBlockState:{Name:"minecraft:dragon_egg"}}
execute if score ¤level main_system matches 3311 positioned 0 102 0 if entity @e[type=ender_dragon,tag=game,distance=0..2,nbt={}] unless entity @e[type=shulker_bullet,tag=skyblock_bullet,distance=0..5] run summon shulker_bullet ~ ~ ~ {Steps:1,Motion:[0.0,0.4,0.0],Tags:["skyblock_bullet"],CustomName:'{"text":"Bullet","color":"dark_aqua","italic":true,"underlined":true}'}
execute if score ¤level main_system matches 3311 positioned 0 102 0 if entity @e[type=ender_dragon,tag=game,distance=0..2,nbt={}] run data modify entity @e[type=minecraft:shulker_bullet,limit=1,tag=skyblock_bullet,sort=nearest] Target set from entity @a[limit=1,sort=nearest] UUID
execute if score ¤level main_system matches 3311 positioned 0 102 0 if entity @e[type=ender_dragon,tag=game,distance=0..2,nbt={HurtTime:10s}] run playsound minecraft:entity.illusioner.mirror_move ambient @a ~ ~ ~ 10 0
execute if score ¤level main_system matches 3311 positioned 0 102 0 if entity @e[type=ender_dragon,tag=game,distance=0..2,nbt={HurtTime:10s}] run particle minecraft:reverse_portal ~ ~ ~ 0.5 0.5 0.5 0.2 300 force @a
execute if score ¤level main_system matches 3311 positioned 0 102 0 as @e[type=end_crystal,tag=skyblock_beam] at @s positioned ~ ~-3 ~ unless entity @e[type=enderman,distance=0..1,tag=skyblock_man] run data merge entity @s {Invulnerable:0b}
execute if score ¤level main_system matches 3311 run effect clear @a[nbt=!{ActiveEffects:[{Id:25b,Amplifier:1b}]}] levitation

#level 3312..
execute if score ¤level main_system matches 3312.. positioned 0 100 0 if block ~ ~ ~ minecraft:air run schedule function skyblock_ultimate_system:next_stage 1t append
execute if score ¤level main_system matches 3312.. positioned 0 100 0 if block ~ ~ ~ minecraft:oak_sign if entity @e[distance=0..1,type=item,nbt={Item:{id:"minecraft:dragon_egg",Count:1b}}] run function skyblock_ultimate_system:reset_progress





